past = Time.local(1998,9,13,4,15)
now = Time.local(2000,11,10,22,42)
diff = now - past
unit = sec2dhms(diff)
puts "#{unit[0]} days,"            # 789 days,
puts "#{unit[1]} hours,"           # 18 hours,
puts "#{unit[2]} minutes,"         # 27 minutes,
puts "and #{unit[3]} seconds."     # and 0 seconds.

